%{?nodejs_find_provides_and_requires}

%global packagename punycode
# Tests hang forever for some reason, disabling for now.
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 1.4.1
Release: 1%{?dist}.3
Summary: A robust Punycode converter that fully complies to RFC 3492 and RFC 5891
License: MIT
URL: https://mths.be/punycode
Source0: https://github.com/bestiejs/%{packagename}.js/archive/v%{version}/%{packagename}.js-%{version}.tar.gz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(qunit-extras) >= 1.4.4
BuildRequires: npm(qunit-extras) < 2.0.0
BuildRequires: npm(qunitjs) >= 1.11.0
BuildRequires: npm(qunitjs) < 2.0.0
BuildRequires: npm(requirejs) >= 2.1.11
BuildRequires: npm(requirejs) < 3.0.0
%endif

%description
Punycode.js is a robust Punycode converter that fully complies
to RFC 3492 and RFC 5891.


%prep
%setup -q -n %{packagename}.js-%{version}
%nodejs_fixdep --dev qunitjs '^1.11.0'
%nodejs_fixdep --dev requirejs '^2.1.11'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json punycode*.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node tests/tests.js
%endif


%files
%license LICENSE-MIT.txt
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.4.1-1
- Initial package.
